Subject: bug#32458: Acknowledgement (SDL SEGFAULTs on foreign distro)

From: Marius Bakke <[email-masked]>
Date: Wed, 14 Nov 2018 20:49:42 +0100

Tim Gesthuizen <[email-masked]> writes:

> Hi,
>
> On 22.10.2018 22:50, Marius Bakke wrote:
>> One thing that might be worth a try before bisecting Mesa itself is
>> building against LLVM 3.9.1 again.  I don't know the relevance of the
>> "exactly 3.9.1 for swrast" comment from that commit.
>
> Just a quick update: I tried the following things and all of them failed
> but in a little more helpful manor:
>
> - Building current version of mesa with LLVM 3.9.1: mesa fails to
>     configure -> Some part needs at least LLVM version 4.
> - Building old mesa with LLVM 3.9.1: unit tests in the testsuite of mesa
>     fail which causes the build to fail. I could not investigate the
>     failure yet but it seems quite promising.

OK, thanks for checking.  I guess the next step is to bisect the
differences between Mesa 18.0.5 and 18.1.1.

You can use `guix build --with-source=/path/to/mesa/checkout mesa` in
order to use `git bisect` along with Guix.

>> Out of curiosity, which graphics driver are you using?
>
> The radeon driver with non free firmware, sadly :(
> I cannot get anything free to run and I will switch to another computer
> as my main computer soon. I hope I can find the cause for the bug before
> I switch.

Right.  It would be great if someone could confirm this bug with another
supported driver.  But I suppose a bisect will tell us the answer.

Thanks!